<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div>

  <form class="ls-form">

    <div class="form-group custom-control custom-checkbox">
      <input
        id="isCreationPermittedPublic"
        class="custom-control-input"
        type="checkbox"
        [(ngModel)]="isCreationPermittedPublic"
        [ngModelOptions]="{standalone: true}"
        (change)="isCreationPermittedPublicChange.emit(isCreationPermittedPublic)">
      <label
        class="custom-control-label"
        for="isCreationPermittedPublic">
        <span [innerText]="messages.PUBLIC"></span>
      </label>
    </div>

    <div
      [hidden]="isCreationPermittedPublic"
      class="form-group">

      <div class="input-group mt-4 pe-2 w-50">
        <fa-icon
          id="subtypeSearchInputIcon"
          [title]="commonMessages.SEARCH"
          class="input-group-text"
          [icon]="commonIcons.SEARCH_ICON">
        </fa-icon>
        <input
          class="form-control"
          [placeholder]="commonMessages.SEARCH"
          aria-labelledby="subtypeSearchInputIcon"
          type="text"
          #desksSearchInput>
      </div>

      <app-double-list
        [retrieveCandidateElementsFn]="requestDesksFn"
        [stringifyElementFn]="stringifyNamedElementFn"
        [selectedElements]="creationPermittedDesks"
        [rightColumnHeader]="messages.AUTHORIZED_DESKS"
        [leftColumnHeader]="commonMessages.DESK_LIST"
        tintColor="blue"
        #doubleListComponent>
      </app-double-list>

    </div>

  </form>
</div>
